package com.bonus.canteen.core.supply.service;

import com.bonus.canteen.core.supply.dto.*;
import com.bonus.canteen.core.supply.vo.DrpSupplierComeAndGoPageVO;
import com.bonus.canteen.core.supply.vo.DrpSupplierMaterialIntoAndOutPageVO;

import java.util.List;

public interface DrpSupplierComeGoService {
   List<DrpSupplierMaterialIntoAndOutPageVO> pageSupplierMaterialIntoAndOut(DrpSupplierMaterialIntoAndOutPageDTO content);

   List<DrpSupplierComeAndGoPageVO> pageSupplierComeAndGo(DrpSupplierComeAndGoPageDTO content);

   void applyPay(DrpComeAndGoApplyPayDTO content);

   void commitPay(DrpComeAndGoCommitPayDTO content);

   void applyRefund(DrpComeAndGoCommitRefundApplyDTO content);

   void commitRefund(DrpComeAndGoCommitRefundDTO content);

}
